Program programma_kotoraia_smogla;//присваеваем имя проге
 Var x,y,z,a,b,c: Integer;//назначаем переменные и их тип
  Begin
   WriteLn ('Слышь, введи 5 цифр через пробел');// приветствие
   ReadLn(x,y,z,a,b);//считываем цифры
   c:=x-y+z*(a+b);//присваеваем значение переменной "c"
   WriteLn(c);//выводим результат
   {
   Автоподстановка открывается на ctrl+ пробел
   }
  End.